
QGIS Application - Bug report #4579

random colors list should be repeated and not stretched

2011-11-29 05:28 AM - Stefano Costa -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14487

Description

I have a vector layer with thousands of features, each with a separate numerical id. Colors would help me in recognising what is what

visually, so I chose the random colors option: it works perfectly with the old symbology (I'm using that right now).

The new symbology instead will create a color ramp and "stretch" it over the 1000 (or so) features, thus if I have 10 colors the first 100

features will have the same color. As it happens, nearby features will have the same color most of the time, making the color pretty

useless. I think the list of the random colors that I choose should be repeated over the sequence of the features, so that following the same

example above with 10 colors I will have feature #1, #11, #21 and so on with the same color.

Thanks,

steko

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-12-05 06:04 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

in QGIS 2.13 (and probably previous versions), you can use the random colors in the categorized renderer to have the same behavior of the (very) old

QGIS symbology.

I am closing this bug.
